#basic
"""
PIPELINE = "basic"
DATA_PATH = '/net/travail/bformanek/MRI_dataset'
SPECIALIZATION = "_basic_N1"

"""
PIPELINE = "basic"
DATA_PATH = '/net/travail/mvajay/TRDP/N2'
SPECIALIZATION = "_basic_N2"

"""
PIPELINE = "basic"
DATA_PATH = '/net/travail/mvajay/TRDP/N3'
SPECIALIZATION = "_basic_N3"

#different anatomical planes in RGB
PIPELINE = "different_anatomical_plane_in_rgb"
DATA_PATH = '/net/travail/bformanek/MRI_dataset'
SPECIALIZATION = "_different_anatomical_plane_in_rgb_N1"

#same anatomical planes in RGB
PIPELINE = "same_anatomical_plane_in_rgb"
DATA_PATH = '/net/travail/mvajay/TRDP/N3_c1'
SPECIALIZATION = "_same_anatomical_plane_in_rgb_N3_c1"

PIPELINE = "same_anatomical_plane_in_rgb"
DATA_PATH = '/net/travail/mvajay/TRDP/N3_c2'
SPECIALIZATION = "_same_anatomical_plane_in_rgb_N3_c2"

#different anatomical plane ensemble
PIPELINE = "different_anatomical_plane_ensemble"
DATA_PATH = '/net/travail/bformanek/MRI_dataset'
SPECIALIZATION = "_different_anatomical_plane_ensemble_N1"

#ensemble same anatomical planes in RGB
PIPELINE = "ensemble_same_anatomical_planes_in_RGB"
DATA_PATH = '/net/travail/mvajay/TRDP/N3_c1'
SPECIALIZATION = "_ensemble_same_anatomical_planes_in_RGB_N3_c1"

PIPELINE = "ensemble_same_anatomical_planes_in_RGB"
DATA_PATH = '/net/travail/mvajay/TRDP/N3_c2'
SPECIALIZATION = "_ensemble_same_anatomical_planes_in_RGB_N3_c2"
"""
## COMMON PARAMETERS
DEVICE = 'cuda' # 'cuda' or 'cpu'

TRAIN_FOLDER = DATA_PATH + '/train'
VAL_FOLDER = DATA_PATH + '/val'
TEST_FOLDER = DATA_PATH + '/test'
INVIDUALS = 1940

MODEL_NAME = 'resnet18'

BATCH_SIZE = 64
WORKERS = 8
EPOCHS = 60

SAVE_FOLDER_MAIN = '/net/travail/mvajay/TRDP/'

BEST_EPOCH = 23

CHECKPOINTS_FOLDER = SAVE_FOLDER_MAIN+'checkpoints/transfer_checkpoints_'+ MODEL_NAME + SPECIALIZATION
SAVE_PREDICTION_PATH = '/net/cremi/mvajay/TRDP/predictions/' + MODEL_NAME + SPECIALIZATION + "_b_epoch_"
SAVE_MISCLASSIFIED_PATH = '/net/cremi/mvajay/TRDP/misclassified_data/'+ MODEL_NAME + SPECIALIZATION +'_misclassified'
SAVE_CONFUSIONM_PATH = '/net/cremi/mvajay/TRDP/confusionM/' + MODEL_NAME + SPECIALIZATION +'.png'
SAVE_INPUT_VISUALIZATION_PATH = '/net/cremi/mvajay/TRDP/input_visualization/' + MODEL_NAME + SPECIALIZATION
SAVE_PATH_LEARNING_CURVES = SAVE_FOLDER_MAIN + "learning_curves/" + MODEL_NAME + SPECIALIZATION

LOG_PATH = '/net/cremi/mvajay/TRDP/logs/'+ MODEL_NAME + SPECIALIZATION + ".log"

AXIS_CONVERTION = {
    '0': "axial",
    '1': "coronial",
    '2': "sagittal"
}